# Copyright 2011-2016 Red Hat, Inc. and/or its affiliates.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

%global	commit 49028319a60c094f98504094d7b1c6d2bd3f7bf7
%global	shortcommit %(c=%{commit}; echo ${c:0:7})
%define	enable_autotools 1

%global		package_version 4.0.0
%global		package_name ovirt-iso-uploader
# Required users and groups
%global		vdsm_user vdsm
%global		vdsm_group kvm

Summary:	ISO Uploader for oVirt Engine
Name:		%{package_name}
Version:	4.0.0
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	https://gerrit.ovirt.org/gitweb?p=%{package_name}.git;a=snapshot;h=%{commit};sf=tgz#/%{package_name}-%{package_version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires(pre):	shadow-utils
Requires:	python-ovirt-engine-sdk4 >= 4.0.0
Requires:	logrotate
BuildRequires:	gettext
BuildRequires:	python2-devel
%if 0%{?enable_autotools}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
%endif

%description
ISO Uploader tool for oVirt Engine

%prep
%setup -q -n %{package_name}-%{shortcommit}

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%check
make check

%pre
getent group %{vdsm_group} >/dev/null || \
	LC_ALL=C groupadd -g 36 -r %{vdsm_group}
getent passwd %{vdsm_user} >/dev/null || \
	LC_ALL=C useradd -r -u 36 -g %{vdsm_group} -d / \
		-s /sbin/nologin -c "Node Virtualization Manager" %{vdsm_user}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/isouploader.conf.d
%attr(0640, -, -) %config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python2_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/ovirt-iso-uploader
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*

%changelog
* Wed Jun  1 2016 Rafael Martins <rmartins@redhat.com> - 4.0.0-1
- 4.0.0-1

* Mon Mar 14 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-0.2.master.git98e29da
- 4.0.0-0.2.master.git98e29da

* Thu Feb  4 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-0.1.master.gitd2c6ab3
- Dropped branding as per BZ#1251129

* Thu Feb  4 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-0.0.master.gitd2c6ab3
- 4.0.0-0.0.master.gitd2c6ab3
- Resolves: BZ#1210797
